package com.zcloud.mapper.datasource.bus;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;


/**
 * 说明：一卡通对接数据
 * 作者：shaojie
 * 时间：2021-03-15
 * 官网：www.qdkjchina.com
 */
public interface CardUserMapper {

    /**新增
     * @param pd
     * @throws Exception
     */
    void save(PageData pd);

    /**删除
     * @param pd
     * @throws Exception
     */
    void delete(PageData pd);

    /**修改
     * @param pd
     * @throws Exception
     */
    void edit(PageData pd);

    /**列表
     * @param page
     * @throws Exception
     */
    List<PageData> datalistPage(Page page);

    /**
     * 根据状态按时间分组统计人员进出刷卡
     * @param pd
     * @return
     */
    List<PageData> statisticsGroupDay(PageData pd);

    /**
     * 统计今日人员刷卡数据（今日进入[COUNTUSERIN]，今日离场[COUNTUSEROUT]，现场人数[COUNTUSER]，入场刷卡数[COUNTCARDIN]，出场刷卡数[COUNTCARDOUT]）
     * @param pd
     * @return
     */
    PageData statisticsCardUserCount(PageData pd);

    List<PageData> findById(PageData pd);
}
